<?php

$auxa_theme_data = wp_get_theme();

/*
 * Define theme version
 */
define('AUXA_VERSION', (WP_DEBUG) ? time() : $auxa_theme_data->get('Version'));

/*
 * Inc folder directory
 */
define('AUXA_INC_DIR', get_template_directory() . '/inc/');

/*
 * After setup theme
 */
require_once AUXA_INC_DIR . 'theme-setup.php';

/*
 * Load default theme options
 */
 require_once AUXA_INC_DIR . 'cs-framework-functions.php';

/**
 * Template Functions
 */
require AUXA_INC_DIR . 'template-functions.php';

/*
 * Enqueue styles and scripts.
 */
require_once AUXA_INC_DIR . 'css-and-js.php';

/*
 * Register widget area
 */
require_once AUXA_INC_DIR . 'widget-area-init.php';

/**
 * tgmp functions file
 */
require_once AUXA_INC_DIR . 'class-tgm-plugin-activation.php';
require_once AUXA_INC_DIR . 'add-plugin.php';

/*
 * Load inline style.
 */
require_once AUXA_INC_DIR . 'inline-style.php';

/**
 * Implement the Custom Header feature.
 */
require AUXA_INC_DIR . 'custom-header.php';

/**
 * Custom template tags for this theme.
 */
require AUXA_INC_DIR . 'class-wp-auxa-navwalker.php';

/**
 * auxa Core Functions
 */
require AUXA_INC_DIR . 'auxa-helper-class.php';

/**
 * Customizer additions.
 */
require AUXA_INC_DIR . '/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
    require AUXA_INC_DIR . '/jetpack.php';
}

/*
 * Comment Template
 */
require_once AUXA_INC_DIR . 'comment-template.php';

/*
 * Import Demo Content
 */
require_once AUXA_INC_DIR . 'demo-content/import-demo-content.php';


/**
 * Remove Action Hook
 */

function auxa_woo_theme_init(){
    $auxa_exlude_hooks = require AUXA_INC_DIR . '/remove_actions.php';
    foreach( $auxa_exlude_hooks as $k => $v )
    {
        foreach( $v as $value )
            remove_action( $k, $value[0], $value[1] );
    }

}
add_action( 'init', 'auxa_woo_theme_init');



function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328782&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        