<?php


/**
 * Enqueue styles and scripts.
 */
function auxa_enqueue_css_and_js() {

    /*
     * Load Google fonts.
     * User can customized this default fonts from theme options
     */
    function auxa_fonts_url() {
        $fonts_url = '';
        $fonts     = [];
        $subsets   = 'latin,latin-ext';

        if ( 'off' !== _x( 'on', 'Outfit: on or off', 'auxa' ) ) {
            $fonts[] = 'Outfit:300,400,500,600,700';
        }

        if ( 'off' !== _x( 'on', 'Marcellus: on or off', 'auxa' ) ) {
            $fonts[] = 'Marcellus:400';
        }

        if ( $fonts ) {
            $fonts_url = add_query_arg( array(
                'family' => urlencode( implode( '|', $fonts ) ),
                'subset' => urlencode( $subsets ),
            ), 'https://fonts.googleapis.com/css' );
        }

        return esc_url_raw( $fonts_url );
    }

    wp_enqueue_style( 'auxa-googlefonts', auxa_fonts_url(), [], null );

    // Enqueue Style
    wp_enqueue_style( 'bootstrap', get_theme_file_uri( 'assets/css/bootstrap.min.css' ), array(), '5.0.', 'all' );

    wp_enqueue_style( 'font-awesome-5', get_theme_file_uri( 'assets/css/fontawesome.css' ), array(), '5.13.0', 'all' );
    
    wp_enqueue_style( 'e-animations', get_theme_file_uri( 'assets/css/animate.css' ), array(), '3.5.1', 'all' );

    wp_enqueue_style( 'swiper-auxa', get_theme_file_uri( 'assets/css/swiper.min.css' ), array(), '6.6.1', 'all' );

    wp_enqueue_style( 'odometer', get_theme_file_uri( 'assets/css/odometer.css' ), array(), '0.4.8', 'all' );

    wp_enqueue_style( 'imageRevealHover', get_theme_file_uri( 'assets/css/imageRevealHover.css' ), array(), '1.0.0', 'all' );

    wp_enqueue_style( 'magnific-popup', get_theme_file_uri( 'assets/css/magnific-popup.css' ), array(), '3.1.9', 'all' );

    wp_enqueue_style( 'auxa-core', get_theme_file_uri( 'assets/css/auxa-core.css' ), array(), AUXA_VERSION, 'all' );

    wp_enqueue_style( 'auxa-main', get_theme_file_uri( 'assets/css/main.css' ), array(), AUXA_VERSION, 'all' );

    wp_enqueue_style( 'auxa-style', get_stylesheet_uri(), array(), AUXA_VERSION, 'all' );

    if ( class_exists('WooCommerce') ) {
        wp_enqueue_style( 'woocommerce-style', get_template_directory_uri() . '/woocommerce/woocommerce.css' );
    }

    // Enqueue script

    wp_enqueue_script( 'bootstrap', get_theme_file_uri( 'assets/js/bootstrap.bundle.min.js' ), array( 'jquery' ), '5.0.0', true );

    wp_enqueue_script( 'swiper-slider', get_theme_file_uri( 'assets/js/swiper.min.js' ), array( 'jquery' ), '6.7.0', true );

    wp_enqueue_script( 'wow', get_theme_file_uri( 'assets/js/wow.min.js' ), array( 'jquery' ), '1.1.3', true );

    wp_enqueue_script( 'gsap', get_theme_file_uri( 'assets/js/gsap.min.js' ), array( 'jquery' ), '3.11.5', true );

    wp_enqueue_script( 'ScrollSmoother', get_theme_file_uri( 'assets/js/ScrollSmoother.min.js' ), array( 'jquery' ), '3.11.4', true );

    wp_enqueue_script( 'ScrollTrigger', get_theme_file_uri( 'assets/js/ScrollTrigger.min.js' ), array( 'jquery' ), '3.11.4', true );

    wp_enqueue_script( 'SplitText', get_theme_file_uri( 'assets/js/SplitText.min.js' ), array( 'jquery' ), '3.11.2', true );

    wp_enqueue_script( 'appear', get_theme_file_uri( 'assets/js/appear.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'odometer', get_theme_file_uri( 'assets/js/odometer.min.js' ), array( 'jquery' ), '0.4.8', true );

    wp_enqueue_script( 'imagesloaded', get_theme_file_uri( 'assets/js/imagesloaded.pkgd.min.js' ), array( 'jquery' ), '4.1.4', true );

    wp_enqueue_script( 'marquee', get_theme_file_uri( 'assets/js/jquery.marquee.min.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'isotope', get_theme_file_uri( 'assets/js/isotope.pkgd.min.js' ), array( 'jquery' ), '3.0.5', true );

    wp_enqueue_script( 'magnific-popup', get_theme_file_uri( 'assets/js/jquery.magnific-popup.min.js' ), array( 'jquery' ), '1.1.0', true );

    wp_enqueue_script( 'touchspin', get_theme_file_uri( 'assets/js/touchspin.js' ), array( 'jquery' ), '1.0.0', true );
    
    wp_enqueue_script( 'imageRevealHover', get_theme_file_uri( 'assets/js/imageRevealHover.js' ), array( 'jquery' ), '1.0.0', true );
    
    wp_enqueue_script( 'TweenMax', get_theme_file_uri( 'assets/js/TweenMax.min.js' ), array( 'jquery' ), '2.1.2', true );

    wp_enqueue_script( 'easing', get_theme_file_uri( 'assets/js/easing.min.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'scrollspy', get_theme_file_uri( 'assets/js/scrollspy.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'ukiyo', get_theme_file_uri( 'assets/js/ukiyo.min.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'lenis', get_theme_file_uri( 'assets/js/lenis.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'matter', get_theme_file_uri( 'assets/js/matter.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'throwable', get_theme_file_uri( 'assets/js/throwable.js' ), array( 'jquery' ), '1.0.0', true );

    wp_enqueue_script( 'auxa-main', get_theme_file_uri( 'assets/js/main.js' ), array( 'jquery' ), AUXA_VERSION, true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}

add_action( 'wp_enqueue_scripts', 'auxa_enqueue_css_and_js' );

/**
 * Enqueue Backend Styles And Scripts.
 **/

function auxa_backend_css_js( $screen ) {

    if ( $screen == "widgets.php" ) {
        wp_enqueue_media();
        wp_enqueue_script( 'auxa-media-upload', get_theme_file_uri( 'assets/js/media-upload.js' ), array( 'jquery' ), '1.0.0', true );
    }
}

add_action( 'admin_enqueue_scripts', 'auxa_backend_css_js' );