<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package auxa
 */

get_header();
$portfolio_banner = auxa_option('enable_portfolio_breadcrumb', true);
$portfolio_breadcrumb_title = auxa_option('port_breadcrumb_title');
$banner_text_align = auxa_option('banner_default_text_align', 'center');
?>
<?php if ($portfolio_banner == true) : ?>
    <div class="breadcrumb portfolio-banner pos-rel">
        <div class="container">
            <div class="breadcrumb__content text-<?php echo esc_attr($banner_text_align); ?>">
                <h2 class="breadcrumb__title">
                    <?php
                    if (!empty($portfolio_breadcrumb_title)) {
                        echo esc_html($portfolio_breadcrumb_title);
                    } else {
                        the_title();
                    }
                    ?>
                </h2>
                <?php
                if (function_exists('bcn_display') && $portfolio_banner == true) :?>
                    <div class="breadcrumb-container">
                        <?php bcn_display(); ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<?php
while (have_posts()) :
    the_post();

    get_template_part('template-parts/content', 'portfolio');


endwhile; // End of the loop.
?>

<?php
get_footer();
