<?php
$auxa_common_meta = 'auxa_common_meta';

// Create a metabox
CSF::createMetabox($auxa_common_meta, array(
	'title'     => esc_html__('Settings', 'auxa-core'),
	'post_type' => array('page', 'post'),
	'data_type' => 'serialize',
));

// Create layout section
CSF::createSection($auxa_common_meta, array(
	'title'  => esc_html__('Layout Settings ', 'auxa-core'),
	'icon'   => 'fa fa-calculator',
	'fields' => array(

		array(
			'id'      => 'layout_meta',
			'type'    => 'select',
			'title'   => esc_html__('Layout', 'auxa-core'),
			'options' => array(
				'default'       => esc_html__('Default', 'auxa-core'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'auxa-core'),
				'full-width'    => esc_html__('Full Width', 'auxa-core'),
				'right-sidebar' => esc_html__('Right Sidebar', 'auxa-core'),
			),
			'default' => 'default',
			'desc'    => esc_html__('Select layout', 'auxa-core'),
		),

		array(
			'id'         => 'sidebar_meta',
			'type'       => 'select',
			'title'      => esc_html__('Sidebar', 'auxa-core'),
			'options'    => 'auxa_sidebars',
			'dependency' => array('layout_meta', '!=', 'full-width'),
			'desc'       => esc_html__('Select sidebar you want to show with this page.', 'auxa-core'),
		),
	)
));

// Create layout section
CSF::createSection($auxa_common_meta, array(
	'title'  => esc_html__('Header Settings ', 'auxa-core'),
	'icon'   => 'fa fa-header',
	'fields' => array(

        array(
            'id'       => 'meta_header_type',
            'type'     => 'switcher',
            'title'    => __( 'Header Style', 'auxa-plugin' ),
            'text_on'  => __( 'Yes', 'auxa-plugin' ),
            'text_off' => __( 'No', 'auxa-plugin' ),
            'default'  => false
        ),
        array(
            'id'          => 'meta_header_style',
            'type'        => 'select',
            'chosen'      => true,
            'title'       => __('Select Header Style', 'auxa-plugin' ),
            'options'     => Auxa_Plugin_Helper::get_header_types(),
            'dependency' => array( 'meta_header_type', '==', 'true' ),
        ),
        array(
            'id'       => 'page_header_disable',
            'type'     => 'switcher',
            'title'    => __( 'Disable This page Header?', 'auxa-plugin' ),
            'text_on'  => __( 'Yes', 'auxa-plugin' ),
            'text_off' => __( 'No', 'auxa-plugin' ),
            'default'  => false
        ),
	)
));

// Breadcrumb Section
CSF::createSection( $auxa_common_meta, array(
    'title'  => 'Page Settings',
    'icon'   => 'fas fa-pager',
    'fields' => array(
        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Page Color', 'auxa-core' ),
        ),

        array(
            'id'     => 'page-bg-color',
            'type'   => 'color',
            'title'  => 'Page Background Color',
            'output' => array( 'background' => 'body', 'background-color' => '.auxa-main-wrap' )
        ),
        array(
            'id'      => 'border_enable',
            'title'   => esc_html__( 'Enable Left Right Border', 'auxa-core' ),
            'type'    => 'switcher',
            'desc'    => esc_html__( 'Enable or Disable Left Right Border', 'auxa-core' ),
            'default' => false,
        ),

    )
) );

// Create a section
CSF::createSection($auxa_common_meta, array(
	'title'  => esc_html__('Banner Settings', 'auxa-core'),
	'icon' => 'fa fa-flag-o',
	'fields' => array(
		array(
			'id'       => 'enable_banner',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Banner', 'auxa-core'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'auxa-core'),
			'text_off' => esc_html__('No', 'auxa-core'),
			'desc'     => esc_html__('Enable or disable banner.', 'auxa-core'),
		),

		array(
			'id'                    => 'banner_background_meta',
			'type'                  => 'background',
			'title'                 => esc_html__('Banner Background', 'auxa-core'),
			'background_origin'     => false,
			'background_clip'       => false,
			'background_blend-mode' => false,
			'background_attachment' => false,
			'background_size'       => false,
			'background_position'   => false,
			'background_repeat'     => false,
			'dependency'            => array('enable_banner', '==', true),
			'output'                => '.breadcrumb.post-banner,.breadcrumb.page-banner',
			'desc'                  => esc_html__('Select banner background color and image', 'auxa-core'),
		),

		array(
			'id'         => 'custom_title',
			'type'       => 'text',
			'title'      => esc_html__('Banner Custom Title', 'auxa-core'),
			'dependency' => array('enable_banner', '==', true),
			'desc'       => esc_html__('If you want to use custom title write title here.If you don\'t, leave it empty.', 'auxa-core')
		),

		array(
			'id'         => 'banner_text_align_meta',
			'type'       => 'select',
			'title'      => esc_html__('Banner Text Align', 'auxa-core'),
			'options'    => array(
				'default' => esc_html__('Default', 'auxa-core'),
				'left'    => esc_html__('Left', 'auxa-core'),
				'center'  => esc_html__('Center', 'auxa-core'),
				'right'   => esc_html__('Right', 'auxa-core'),
			),
			'default'    => 'default',
			'dependency' => array('enable_banner', '==', true),
			'desc'       => esc_html__('Select page banner text align.', 'auxa-core'),
		),

		array(
			'id'          => 'banner_height_meta',
			'type'        => 'slider',
			'title'       => esc_html__('Banner Height', 'auxa-core'),
			'min'         => 100,
			'max'         => 800,
			'step'        => 1,
			'unit'        => 'px',
			'output'      => '.breadcrumb.post-banner,.breadcrumb.page-banner',
			'output_mode' => 'height',
			'subtitle'    => esc_html__('Select banner min height.', 'auxa-core'),
			'desc'        => esc_html__('Select banner min height.', 'auxa-core'),
			'dependency'  => array('enable_banner', '==', true),
		),
	)
));


// Create Footer section
CSF::createSection($auxa_common_meta, array(
	'title'  => esc_html__('Footer Options', 'auxa-core'),
	'icon' => 'fa fa-wordpress',
	'fields' => array(

        array(
            'id'       => 'meta_footer_type',
            'type'     => 'switcher',
            'title'    => __( 'Footer Style', 'auxa-core' ),
            'text_on'  => __( 'Yes', 'auxa-core' ),
            'text_off' => __( 'No', 'auxa-core' ),
            'default'  => false
        ),
        array(
            'id'          => 'meta_footer_style',
            'type'        => 'select',
            'title'       => __('Select Footer Style', 'auxa-core' ),
            'options'     => Auxa_Plugin_Helper::get_footer_types(),
            'dependency' => array( 'meta_footer_type', '==', 'true' ),
        ),
        array(
            'id'      => 'page_footer_sticky_disable',
            'title'   => esc_html__( 'Disable Stikcy Footer', 'auxa-core' ),
            'type'    => 'switcher',
            'desc'    => esc_html__( 'Disable or Disable Stikcy Footer', 'auxa-core' ),
            'default' => false,
        ),
        array(
            'id'       => 'page_footer_disable',
            'type'     => 'switcher',
            'title'    => __( 'DIsable This page Footer?', 'auxa-core' ),
            'text_on'  => __( 'Yes', 'auxa-core' ),
            'text_off' => __( 'No', 'auxa-core' ),
            'default'  => false
        ),

	)
));

/*-------------------------------------
    Page Options
    -------------------------------------*/

