<?php
// Create header Settings section
CSF::createSection( $auxa_theme_option, array(
	'title' => esc_html__( 'Header Settings', 'xpress-core' ),
	'id'    => 'header_options',
	'icon'  => 'fa fa-header',
) );

CSF::createSection( $auxa_theme_option, array(
    'parent' => 'header_options',
	'title'  => esc_html__( 'Header Options', 'auxa-core' ),
	'icon'   => 'fa fa-header',
	'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => '<h3>' . esc_html__( 'Header Layout', 'auxa-tools' ) . '</h3>',
        ),

        array(
            'id'          => 'header_style',
            'type'        => 'select',
            'chosen'      => true,
            'title'       => __('Select Header Style', 'auxa-tools' ),
            'options'     => Auxa_Plugin_Helper::get_header_types(),
        ),

        array(
            'id' =>'header_default_logo',
            'type'=>'media',
            'title'=>esc_html__( 'Header Logo', 'auxa-core' ),
            'library'      => 'image',
            'url'          => false,
            'button_title' => esc_html__( 'Upload Logo', 'auxa-core' ),
            'desc'         => esc_html__( 'Upload logo image', 'auxa-core' ),
        ),

        array(
            'id'          => 'logo_maximum_width',
            'type'        => 'slider',
            'title'       => esc_html__( 'Logo Maximum Width', 'auxa-core' ),
            'min'         => 50,
            'max'         => 500,
            'step'        => 1,
            'unit'        => 'px',
            'output'      => '.header-logo img',
            'output_mode' => 'max-width',
            'desc'        => esc_html__( 'Logo image maximum width', 'auxa-core' ),
        ),
    )
) );

// Sidebar Option
CSF::createSection( $auxa_theme_option, array(
    'parent' => 'header_options',
    'title'  => 'Overlay Menu',
    'id'     => 'overlay_menu_options',
    'icon'   => 'fa fa-bars',
    'fields' => array(
        array(
            'id'      => 'is_enable_overlay_menu',
            'type'    => 'switcher',
            'title'   => 'Switcher',
            'label'    => esc_html__( 'Do you want Overlay Menu? ', 'auxa-core' ),
            'default' => true
        ),

        array(
            'id'      => 'brief_us_title',
            'title'   => esc_html__( 'Brief us TItle', 'auxa-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),

        array(
            'id'      => 'om_mail',
            'title'   => esc_html__( 'Mail', 'auxa-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),
        array(
            'id'      => 'om_number',
            'title'   => esc_html__( 'Number', 'auxa-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),
        array(
            'id'      => 'om_address_title',
            'title'   => esc_html__( 'Address TItle', 'auxa-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),
        array(
            'id'      => 'om_address',
            'title'   => esc_html__( 'Address', 'auxa-core' ),
            'type'    => 'textarea',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),
        array(
            'id'      => 'follow_title',
            'title'   => esc_html__( 'Follow Us TItle', 'auxa-core' ),
            'type'    => 'text',
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],
        ),

        array(
            'id'         => 'om_social_icons',
            'type'       => 'group',
            'title'      => 'Add Social Icon',
            'fields'     => array(
                array(
                    'id'    => 'social_title',
                    'type'  => 'text',
                    'title' => esc_html__( 'Social Title', 'auxa-core' ),
                ),
                array(
                    'id'    => 'link',
                    'type'  => 'text',
                    'title' => esc_html__( 'Social Link', 'auxa-core' ),
                ),

            ),
            'dependency'  => [
                'is_enable_overlay_menu', '==', 'true',
            ],

        ),

    ),
) );