<?php

// Create Page Options
CSF::createSection( $auxa_theme_option, array(
	'title'  => esc_html__( 'Page Options', 'auxa-core' ),
	'id'     => 'page_options',
	'icon'   => 'fa fa-file-text-o',
	'fields' => array(
		array(
			'id'      => 'page_default_layout',
			'type'    => 'select',
            'chosen'      => true,
			'title'   => esc_html__('Page Layout', 'auxa-core'),
			'options' => array(
				'full-width'  => esc_html__('Full Width', 'auxa-core'),
				'left-sidebar'  => esc_html__('Left Sidebar', 'auxa-core'),
				'right-sidebar' => esc_html__('Right Sidebar', 'auxa-core'),
			),
			'default' => 'full-width',
			'desc'    => esc_html__('Select page layout.', 'auxa-core'),
		),

		array(
			'id'         => 'page_default_sidebar',
			'type'       => 'select',
			'title'      => esc_html__( 'Sidebar', 'auxa-core' ),
			'options'    => 'auxa_sidebars',
			'default' => 'sidebar',
			'dependency' => array( 'page_default_layout', '!=', 'full-width' ),
			'desc'       => esc_html__( 'Select default sidebar for all pages. You can override this settings on individual page.', 'auxa-core' ),
		),
	)
) );