<?php
if ( !function_exists( 'auxa_portfolio' ) ) {

// Register Portfolios
    function auxa_portfolio() {

        $labels = array(
            'name'                  => esc_html_x( 'Portfolios', 'Post Type General Name', 'auxa-core' ),
            'singular_name'         => esc_html_x( 'Portfolio', 'Post Type Singular Name', 'auxa-core' ),
            'menu_name'             => esc_html__( 'Portfolios', 'auxa-core' ),
            'name_admin_bar'        => esc_html__( 'Portfolios', 'auxa-core' ),
            'archives'              => esc_html__( 'Item Archives', 'auxa-core' ),
            'attributes'            => esc_html__( 'Item Attributes', 'auxa-core' ),
            'parent_item_colon'     => esc_html__( 'Parent Item:', 'auxa-core' ),
            'all_items'             => esc_html__( 'All Portfolios', 'auxa-core' ),
            'add_new_item'          => esc_html__( 'Add New Portfolio', 'auxa-core' ),
            'add_new'               => esc_html__( 'Add New Portfolio', 'auxa-core' ),
            'new_item'              => esc_html__( 'New Portfolio', 'auxa-core' ),
            'edit_item'             => esc_html__( 'Edit Portfolio', 'auxa-core' ),
            'update_item'           => esc_html__( 'Update Portfolio', 'auxa-core' ),
            'view_item'             => esc_html__( 'View Portfolios', 'auxa-core' ),
            'view_items'            => esc_html__( 'View Portfolios', 'auxa-core' ),
            'search_items'          => esc_html__( 'Search Portfolio', 'auxa-core' ),
            'not_found'             => esc_html__( 'Not found', 'auxa-core' ),
            'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'auxa-core' ),
            'featured_image'        => esc_html__( 'Featured Image', 'auxa-core' ),
            'set_featured_image'    => esc_html__( 'Set featured image', 'auxa-core' ),
            'remove_featured_image' => esc_html__( 'Remove featured image', 'auxa-core' ),
            'use_featured_image'    => esc_html__( 'Use as featured image', 'auxa-core' ),
            'insert_into_item'      => esc_html__( 'Insert into item', 'auxa-core' ),
            'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'auxa-core' ),
            'items_list'            => esc_html__( 'Items list', 'auxa-core' ),
            'items_list_navigation' => esc_html__( 'Items list navigation', 'auxa-core' ),
            'filter_items_list'     => esc_html__( 'Filter items list', 'auxa-core' ),
        );
        $args = array(
            'label'               => esc_html__( 'Portfolios', 'auxa-core' ),
            'description'         => esc_html__( 'Add Portfolio Here', 'auxa-core' ),
            'labels'              => $labels,
            'supports'            => array( 'title', 'thumbnail', 'elementor' ),
            'hierarchical'        => false,
            'public'              => true,
            'show_ui'             => true,
            'show_in_menu'        => true,
            'menu_position'       => 20,
            'menu_icon'           => 'dashicons-format-gallery',
            'show_in_admin_bar'   => true,
            'show_in_nav_menus'   => true,
            'can_export'          => true,
            'has_archive'         => false,
            'exclude_from_search' => false,
            'publicly_queryable'  => true,
            'capability_type'     => 'page',
            'rewrite'               => array( 'slug' => 'portfolio' ),
        );
        register_post_type( 'auxa_portfolio', $args );

    }
    add_action( 'init', 'auxa_portfolio', 0 );

}

/**
 * Project Custom Taxonomy
 */

if ( !function_exists( 'auxa_portfolio_tax' ) ) {
    function auxa_portfolio_tax() {
        $labels = [
            'name'          => esc_html__( 'Categories', 'auxa-core' ),
            'menu_name'     => esc_html__( 'Categories', 'auxa-core' ),
            'singular_name' => esc_html__( 'Category', 'auxa-core' ),
            'search_items'  => esc_html__( 'Search Category', 'auxa-core' ),
            'all_items'     => esc_html__( 'All Category', 'auxa-core' ),
            'new_item_name' => esc_html__( 'New Category', 'auxa-core' ),
            'add_new_item'  => esc_html__( 'Add New Category', 'auxa-core' ),
            'edit_item'     => esc_html__( 'Edit New Category', 'auxa-core' ),
            'update_item'   => esc_html__( 'Update New Category', 'auxa-core' ),
        ];
        $args = array(
            'labels'                => $labels,
            'hierarchical'          => true,
            'show_ui'               => true,
            'show_admin_column'     => true,
            'query_var'             => true,
            'update_count_callback' => '_update_post_term_count',
            'rewrite'               => array( 'slug' => 'portfolio-category' ),
        );
        register_taxonomy( 'portfolio_cat', 'auxa_portfolio', $args );
    }
    add_action( 'init', 'auxa_portfolio_tax' );
}